org.jbpm.kie.services.impl

## Class DeployedUnitImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.DeployedUnitImpl

- All Implemented Interfaces:
    DeployedUnit

      public class DeployedUnitImpl
      extends Object
      implements DeployedUnit

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeployedUnitImpl(DeploymentUnit unit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssetLocation(String assetId, ProcessAssetDesc processAsset)`
    `void` | `addClass(Class<?> kModuleClass)`
    `String` | `getDeployedAssetLocation(String assetId)`
    `Collection<DeployedAsset>` | `getDeployedAssets()`
    `Collection<Class<?>>` | `getDeployedClasses()`
    `DeploymentUnit` | `getDeploymentUnit()`
    `org.kie.api.runtime.manager.RuntimeManager` | `getRuntimeManager()`
    `boolean` | `isActive()`
    `void` | `setActive(boolean active)`
    `void` | `setRuntimeManager(org.kie.api.runtime.manager.RuntimeManager manager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeployedUnitImpl

          public DeployedUnitImpl(DeploymentUnit unit)

  - ### Method Detail

    - #### getDeploymentUnit

          public DeploymentUnit getDeploymentUnit()

      Specified by:
        `getDeploymentUnit` in interface `DeployedUnit`

    - #### getDeployedAssetLocation

          public String getDeployedAssetLocation(String assetId)

      Specified by:
        `getDeployedAssetLocation` in interface `DeployedUnit`

    - #### getRuntimeManager

          public org.kie.api.runtime.manager.RuntimeManager getRuntimeManager()

      Specified by:
        `getRuntimeManager` in interface `DeployedUnit`

    - #### addAssetLocation

          public void addAssetLocation(String assetId,
                                       ProcessAssetDesc processAsset)

    - #### addClass

          public void addClass(Class<?> kModuleClass)

    - #### setRuntimeManager

          public void setRuntimeManager(org.kie.api.runtime.manager.RuntimeManager manager)

    - #### getDeployedAssets

          public Collection<DeployedAsset> getDeployedAssets()

      Specified by:
        `getDeployedAssets` in interface `DeployedUnit`

    - #### getDeployedClasses

          public Collection<Class<?>> getDeployedClasses()

      Specified by:
        `getDeployedClasses` in interface `DeployedUnit`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `DeployedUnit`

    - #### setActive

          public void setActive(boolean active)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.